Cómo actualizar PHP en WordPress para que siga funcionando sin problemas

1.379

Uno de los principales problemas de Actualizar PHP es que como los plugins y temas son elaborados por diferentes autores, siempre puede pasar que algo deje de funcionar.  Pero tal vez no estás muy seguro que los plugins o el tema vaya a funcionar bien. Y no es para menos, una de las cosas que nos desmotivan a hacer los cambios, es que estos pueden arruinar nuestra web.

Antes de hacer cualquier implementación lo primero que debes hacer es una comprobación preliminar. Normalmente cuando algo nuevo ya tiene cierto tiempo en el mercado, van apareciendo nuevas herramientas que nos ayudan en esta tarea.

De esta forma podremos tener un idea de que tan arriesgado es hacer el cambio. Y cuando digo arriesgado es porque nunca podemos asegurarnos al 100% hasta que se hace.

Antes de Actualizar PHP comprueba que todo seguirá funcionando

Hay una serie de herramientas y listas de comprobación para verificar si su sitio está listo para PHP 7.  Una de esas herramientas es un plugin que verifica todos tus plugins y temas instalados. Hay algunas advertencias, aunque es mejor que tengas en cuenta:

  1. El plugin esté escrito para detectar tantos problemas como sea posible. Pero no es 100% fiable en la detección de errores y advertencias.
  2. Puede haber falsos positivos detectados. El complemento no comprueba si el código está envuelto en una verificación de versión de PHP.
  3. El complemento no ejecuta el código del tema o del complemento. Por lo que no puede detectar problemas de compatibilidad en tiempo de ejecución.

Es una forma muy fácil y rápida de comprobar que todo está listo para PHP 7:

PHP Compatibility Checker

PHP Compatibility Checker

Este plugin desarrollado por WP Engine es la mejor manera de conocer la compatibilidad de tus plugins y temas con las nuevas versiones de PHP.

Si está en tus posibilidades, usa una cuenta de hosting con PHP 7 para probar de forma aislada tus plugins y temas. Así haces las pruebas antes de hacer el cambios en una web en producción.

Una vez que tengas el plugin instalado, ve a Herramientas >> Compatibilidad PHP  allí selecciona la versión de PHP a la que deseas actualizar y haz clic en «Explorar el sitio«.

La comprobación te mostrará no solo la compatibilidad sino que también cuales son los archivos que posiblemente no funcionen bien. Así que que no esta de mas echar un ojo, en algunos casos puede que ni siquiera los estés usando.

Una vez finalizada la exploración verás una pantalla de resultados como esta:

En cualquier caso siempre puedes dar marcha atrás. Una de las cosas que más nos gustaría a todos es no tener que actualizar nada. Pero esto sucederá el día que los lenguajes de programación se autogestionen a si mismos, una utopía.

Por favor espere, Cargando...
Do NOT follow this link or you will be banned from the site!